/* For det spesielle Autosøk test skjermbildet */
.TestContainer{
    height:70px;
}

.TestContainer2{
    height:310px;
}

/* ******************************************** */
/* Standard ddAutoSearch                        */
/* ******************************************** */

/* Autosøk feltet + labelen */
.ddAutoSearchField{
    height:64px;
}

.ddAutoSearch{
    height:31px;
    padding:0;
    position:relative;
    left:-1px;
    top:1px;
    width:100%;
}

/* Søkefelt - ddInput */
.ddAutoSearch .ddInputContainer{
    position:relative;
    /*top:-30px;*/
    width:300px;
}

.ddAutoSearch .ddInput{
    z-index:1;
    position:relative;
    left:-15px;
    text-indent:26px;
    background-color:#fff;
}


/* Knapper - Søk og slett */
.ddAutoSearch .ddSearchButton{
    background-image:url(../../../../shared/content/img/SearchGray.png);
    background-repeat: no-repeat;
    background-color:transparent;
    cursor: pointer;
    border: none;
    position:relative;
    z-index:2;
    padding:0;
    width:15px;
    height:16px;
    left:6px;
    top:2px;
}

.ddAutoSearch .ddSearchButtonHidden{
    visibility:hidden;
}

.ddAutoSearch .ddClearButton{
    background-image:url(../../../../shared/content/img/Clear.png);
    background-repeat: no-repeat;
    background-color:transparent;
    cursor: pointer;
    border: none;
    position:relative;
    z-index:2;
    padding:0;
    width:15px;
    height:15px;
    left:-41px;
    top: 9px;
    float:right;
}

/* Søkeresultatliste */
.ddAutoSearch .ddSearchResultList{
    z-index:3;
    position:relative;
}

.ddAutoSearch .k-grid-header{
    padding-right:0 !important;
}

.ddAutoSearch .k-grid-content{
    overflow-y:hidden;
    white-space:nowrap;
}

.ddAutoSearch .k-grid-content td{
    cursor:pointer;
}

/* Visning av valgte verdier i ddInput */
.ddResultContainer{
    position:relative;
    top:-41px;
}

.ddResultContainer .k-grid{
    border:1px solid #dadada;
}

.ddResultListDiv{
    position:relative;
    top:-30px;
    z-index:2;
    min-height:2.04em;
    white-space:nowrap;
    left: 25px;
    /*width: 215px;*/
    width: 65%;
}

.ddResultListDiv ul{
    margin:0;
    padding:0;
}

.ddResultList{
    position:relative;
    /*top:-29px;*/
    /*top:-27px;*/
    top: 3px;
    /*left:31px;*/
}

.ddResultList li{
    list-style-type:none;
    margin-right:8px;
    float:left;
    line-height:1.5em;
    width:192px;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
}

/* Link på valgt verdi i Autosøk feltet*/
.ddResultList .ddShowInfo{
    color:#0e3a2e; /* B&C */
    text-decoration:underline;
    cursor:pointer;
}

/* Knapper under resultatgriden til f.eks. hurtigregistrering */
.ddAutoSearchButtons .k-button{
    margin:0.5% 0.5% 1% 0.5%;
}


/* **************************************************************************************** */
/* Spesielt for ddAutoSearch og ANDRE komponenter i tabeller (Ordre, Kontroller time, Lønn) */
/* **************************************************************************************** */
.ddCellSearch .ddAutoSearch {
    height: 50px;
    padding: 0;
    position: relative;
    left: -1px;
    top: 1px;
    width: 100%;
    margin: 0;
}

/* Søkefelt - ddInput */
.ddCellSearch .ddAutoSearch .ddInputContainer {
    position: relative;
    width: 100%;
}

.ddCellSearch .ddAutoSearch .ddInput {
    position: relative;
    top: 12px;
    left: -16px;
    text-indent: 21px;
    background-color: #fff;
    width: 100%;
}

.ddCellSearch .ddAutoSearch .ddSearchButton {
    background-image: url(../../../../shared/content/img/Search.png);
    background-repeat: no-repeat;
    background-color: #fff;
    cursor: pointer;
    border: none;
    position: relative;
    padding: 0;
    width: 15px;
    height: 16px;
    left: 2px;
    top: 14px;
}

#ddCellDisplay .ddRemoveButton,
.ddCellDisplay .ddRemoveButton {
    background-image: url(../../../../shared/content/img/Clear.png);
    background-repeat: no-repeat;
    background-color: transparent;
    cursor: pointer;
    border: none;
    position: relative;
    top: 8px;
    float:right;
}

#ddCellDisplay span,
.ddCellDisplay span {
    position: relative;
    left: 1%;
    top: 2px;
    float: left;
    width: 80%;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Knapper under resultatgriden til f.eks. hurtigregistrering */
.ddCellSearch .ddAutoSearch .ddAutoSearch Buttons {
    padding: 5px;
}

.ddCellSearch .ddAutoSearch .ddAutoSearch Buttons .k-button {
    background-color: #8cbc00;
    color: #fff;
    border-color: #8cbc00;
}

.ddCellSearch .k-grid td {
    overflow: hidden;
    text-overflow: ellipsis;
}
/* ************************************************************************* */
/* Slutt: Spesielt for ddAutoSearch og ANDRE komponenter i varelinjetabellen */
/* ************************************************************************* */




/* **************************************************************** */
/*   K O L O N N E B R E D D E R for søkeresultatlister             */
/* **************************************************************** */
/* Kolonnebredder for alle autosøk, både sigelselect og multiselect */
.ddMultiSelectResults td,
.ddResultContainer td{
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    cursor:pointer;
}

.ddMultiSelectResults .ddColumnWidthNr,
.ddMultiSelectResults .ddColumnWidthArt,
.ddMultiSelectResults .ddColumnWidthKey,
.ddMultiSelectResults .ddColumnWidthZipCode,
.ddMultiSelectResults .ddNoClass, /* midlertidig */
.ddResultContainer .ddColumnWidthUserInitials,
.ddResultContainer .ddColumnWidthNr,
.ddResultContainer .ddColumnWidthZipCode,
.ddResultContainer .ddColumnWidthUnit {
    width: 55px;
	max-width: 55px;
}

.ddMultiSelectResults .ddColumnWidthAccountNr {
    width: 65px;
    max-width: 65px;
}

.ddResultContainer .ddColumnWidthPrice,
.ddResultContainer .ddColumnWidthType,
.ddResultContainer .ddColumnWidthInvoiceNr,
.ddResultContainer .ddColumnWidthLonnskjoringNr,
.ddMultiSelectResults .ddColumnWidthType,
.ddMultiSelectResults .ddColumnWidthClientKey,
.ddMultiSelectResults .ddColumnWidhtHours {
    width: 75px;
    max-width: 75px;
}
/* Enhetssøk forkortelse */
.ddResultContainer .ddColumnWidthSymbol {
    width: 90px;
    max-width: 90px;
}

.ddMultiSelectResults .ddColumnWidthUserInitials,
.ddResultContainer .ddColumnWidthOrgNr,
.ddResultContainer .ddColumnWidthOrganizationNumber,
.ddResultContainer .ddColumnWidthArea,
.ddResultContainer .ddColumnWidthBirthNumber,
.ddResultContainer .ddColumnWidthDate,
.ddResultContainer .ddColumnWidthSum,
.ddResultContainer .ddColumnWidthCountyNr {
    width: 100px;
    max-width: 100px;
}
/* Min.salgsantall */
.ddResultContainer .ddColumnWidthSalesNumber {
    width: 120px;
    max-width: 120px;
}
/* Enhetssøk navn */
.ddResultContainer .ddColumnWidthUnitName {
    width: 135px;
    max-width: 135px;
}

.ddResultContainer .ddColumnWidthAddress,
.ddResultContainer .ddColumnWidthTaxSale,
.ddResultContainer .ddColumnWidthAttachment,
.ddResultContainer .ddColumnWidthInterval,
.ddResultContainer .ddColumnWidthFileName, /* Vedleggssøk */
.ddResultContainer .ddColumnWidthAccount, /* Hovedbok */
.ddResultContainer .ddColumnWidthCustomerGroupName, /* Kundetilknytninger navn */
.ddResultContainer .ddColumnWidthItemGroupName, /* Varetilknytninger navn */
.ddMultiSelectResults .ddColumnWidthAddress,
.ddMultiSelectResults .ddColumnWidthCustomerGroupName,
.ddMultiSelectResults .ddColumnWidthClientName,
.ddMultiSelectResults .ddColumnWidthItemGroupName,
.ddMultiSelectResults .ddColumnWidthAccountType { /* Regnskapstype */
    width: 150px;
    max-width: 150px;
}

.ddMultiSelectResults .ddColumnWidthName,
.ddMultiSelectResults .ddColumnWidthTax,
.ddResultContainer .ddColumnWidthName,
.ddResultContainer .ddColumnWidthDescription,
.ddMultiSelectResults .ddColumnWidthDescription {
    width: 200px;
    max-width: 200px;
}

.ddMultiSelectResults .ddColumnWidthUserName,
.ddMultiSelectResults .ddColumnWidthServiceName {
    width: 280px;
    max-width: 280px;
}
/* Slutt: Kolonnebredder for alle autosøk */
/* ************************************** */


/* ************************************** */
/* Totalbredder på Multiselect autosøk */

.ddMultiSelectResults.ddMultiSelectAccount{
    width:572px;
}
.ddMultiSelectResults.ddMultiSelectAccount .ddGridLookupHeader,
.ddMultiSelectResults.ddMultiSelectAccount .ddGridLookupResults{
    width:555px;
}

.ddMultiselectCustomerGroup,
.ddMultiselectItemGroup{
    width:450px;
}


/* *************************************** */
/* Disabled i autosøk felter */
.ddAutoSearch .ddInputContainer .ddInput.ddDisabled {
    background-color:#f5f6f4;
}

.ddAutoSearch .ddInputContainer input:disabled{
    cursor:default;
}

